HG(RECOVER)

NAME
hg recover - roll back an interrupted transaction

SYNOPSIS

hg recover

DESCRIPTION

Recover from an interrupted commit or pull.

This command tries to fix the repository status after an interrupted operation. It should only be necessary when Mercurial suggests it.

Returns 0 if successful, 1 if nothing to recover or verify fails.

OPTIONS

--verify
    run hg verify after successful recover